
#include "esp_log.h"
#include "board.h"
#include "audio_mem.h"

#include "periph_button.h"
#include "periph_adc_button.h"
#include "driver/gpio.h"
#include "esp_adc_cal.h"

static const char *TAG = "AUDIO_BOARD";

esp_err_t audio_board_key_init(esp_periph_set_handle_t set)
{
    esp_err_t ret = ESP_OK;
    periph_button_cfg_t btn_cfg = {
        .gpio_mask = (0x24ULL << 34),  //Set Buttoms
    };
    esp_periph_handle_t button_handle = periph_button_init(&btn_cfg);
    AUDIO_NULL_CHECK(TAG, button_handle, return ESP_ERR_ADF_MEMORY_LACK);
    ret = esp_periph_start(set, button_handle);

    return ret;
}

